Subscription & Usage
All operations require authentication.
List servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a serviceProduction
Path parameters
The name of your billingAccount
Response
MAC address of the associated device if there is one.
The country of the number
bechdeesfrgbukThe country code of the number
323334414449Current outplan
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlThe service offers
Does this service have fax capabilities?
xdslThe identifier to use to port the number
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "associatedDeviceMac": "00:00:5e:00:53:01", "country": "be", "countryCode": 32, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "featureType": "aiAgent", "getPublicOffer": { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }, "hasFaxCapabilities": true, "offers": [ "string" ], "properties": [ "xdsl" ], "rio": "string", "serviceName": "string", "serviceType": "alias", "simultaneousLines": 0}
Terminate a serviceProduction
Path parameters
The name of your billingAccount
Query parameters
Termination reason details
Termination reason
addresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficultiesResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Update a serviceProduction
Path parameters
The name of your billingAccount
Request body (required)
MAC address of the associated device if there is one.
The country of the number
bechdeesfrgbukThe country code of the number
323334414449Current outplan
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlThe service offers
Does this service have fax capabilities?
xdslThe identifier to use to port the number
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Cancel the service terminationProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ cancelTermination \
-H "authorization: Bearer $OVH_TOKEN"Move a service to another billing accountProduction
Path parameters
The name of your billingAccount
Request body (required)
Billing account destination target
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ changeOfBillingAccount \
-H "authorization: Bearer $OVH_TOKEN"Get diagnostic reportsDeprecated
Deprecated since Dec 31, 2023, will be removed on Jan 31, 2024.
Path parameters
The name of your billingAccount
Query parameters
The date index interval
2 days ago3 days agotodayyesterdayResponse
Identifier of the concerned leg
Typology where the diagnostic arriving from
dpisignalDatetime of the diagnostic
Explanation of the diagnostic
The level of the diagnostic
debugerrorinfowarnName of the rule detected
Report of the diagnostic
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ diagnosticReports \
-H "authorization: Bearer $OVH_TOKEN"[ { "callId": "string", "category": "dpi", "datetime": "2024-01-01T12:00:00Z", "description": "string", "level": "debug", "name": "string", "report": "string" }]
Get the directory listingProduction
Path parameters
The name of your billingAccount
Response
All genders a person can choose
femalemaleExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ directory \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "addressExtra": "string", "ape": "string", "areaCode": 0, "birthDate": "2024-01-01", "cedex": "string", "city": "string", "country": "string", "directoryServiceCode": "string", "displayFirstName": true, "displayMarketingDirectory": true, "displayOnlyCity": true, "displaySearchReverse": true, "displayUniversalDirectory": true, "email": "string", "firstName": "string", "gender": "female", "inseeCode": 0, "legalForm": "string", "lineDescription": "string", "modificationDate": "string", "modificationType": "string", "name": "string", "number": "string", "occupation": "string", "postBox": "string", "postCode": "string", "siret": "string", "socialNomination": "string", "socialNominationExtra": "string", "status": "string", "urbanDistrict": "string", "wayName": "string", "wayNumber": "string", "wayNumberExtra": "string", "wayType": "string"}
Update the directory listingProduction
Path parameters
The name of your billingAccount
Request body (required)
All genders a person can choose
femalemaleResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ directory \
-H "authorization: Bearer $OVH_TOKEN"Fetch company informationProduction
Path parameters
The name of your billingAccount
Request body (required)
Entreprise number to fetch informations from
Response
Informations about the enterprise
Task status
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ directory/ fetchEntrepriseInformations \
-H "authorization: Bearer $OVH_TOKEN"{ "informations": { "address": "string", "ape": "string", "brand": "string", "entrepriseNumber": "string", "isValid": true, "name": "string", "siren": "string" }, "status": "doing"}
Get the directory service codeProduction
Path parameters
The name of your billingAccount
Query parameters
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ directory/ getDirectoryServiceCode \
-H "authorization: Bearer $OVH_TOKEN"[ { "apeCode": "string", "apeDescription": "string", "directoryServiceCode": 0, "directoryServiceDescription": "string", "notification": "string" }]
List street typesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ directory/ getWayTypes \
-H "authorization: Bearer $OVH_TOKEN"[ { "abbreviatedName": "string", "wayName": "string" }]
Get the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"Get the scheduled offer changeProduction
Path parameters
The name of your billingAccount
Response
The current offer will be replace by this one on the next renew.
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChange \
-H "authorization: Bearer $OVH_TOKEN"{ "offer": "string"}
Schedule an offer changeProduction
Path parameters
The name of your billingAccount
Request body (required)
The future offer
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChange \
-H "authorization: Bearer $OVH_TOKEN"Cancel the scheduled offer changeProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChange \
-H "authorization: Bearer $OVH_TOKEN"List available offer changesProduction
Path parameters
The name of your billingAccount
Response
The offer description
The offer name
Offer price per month
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChanges \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
List offer tasksProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradeFilter the value of status property (=)
doingdoneerrorpausetodoFilter the value of type property (=)
lineofferoptionphoneResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerTask \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an offer taskProduction
Path parameters
The name of your billingAccount
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
Update an offer taskProduction
Path parameters
The name of your billingAccount
Request body (required)
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneResponse
Example uses billingAccount = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"List last month call recordsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of creationDatetime property (>=)
Filter the value of creationDatetime property (<=)
Filter the value of destinationType property (=)
landlinemobilespecialFilter the value of planType property (=)
outplanpriceplanFilter the value of wayType property (=)
incomingoutgoingtransferResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ previousVoiceConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a last month call recordProduction
Path parameters
The name of your billingAccount
Response
Phone number
Phone number
Country suffix destination
Description of the destination
Consumption destination type
landlinemobilespecialInformation about hangup cause
Consumption plan type
outplanpriceplanPrice with it's currency and textual representation
Consumption way type
incomingoutgoingtransferExample uses billingAccount = string, consumptionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ previousVoiceConsumption/ {consumptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "called": "string", "calling": "string", "consumptionId": 0, "countrySuffix": "string", "creationDatetime": "2024-01-01T12:00:00Z", "designation": "string", "destinationType": "landline", "duration": 0, "hangupNature": "string", "planType": "outplan", "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "wayType": "incoming"}
List tasksProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
Filter the value of serviceType property (=)
Filter the value of status property (=)
doingdoneerrorpausetodoResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List call recordsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of creationDatetime property (>=)
Filter the value of creationDatetime property (<=)
Filter the value of destinationType property (=)
landlinemobilespecialFilter the value of planType property (=)
outplanpriceplanFilter the value of wayType property (=)
incomingoutgoingtransferResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ voiceConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a call recordProduction
Path parameters
The name of your billingAccount
Response
Phone number
Phone number
Country suffix destination
Description of the destination
Consumption destination type
landlinemobilespecialPhone number
Information about hangup cause
Consumption plan type
outplanpriceplanPrice with it's currency and textual representation
Consumption way type
incomingoutgoingtransferExample uses billingAccount = string, consumptionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ service/ {serviceName}/ voiceConsumption/ {consumptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "called": "string", "calling": "string", "consumptionId": 0, "countrySuffix": "string", "creationDatetime": "2024-01-01T12:00:00Z", "designation": "string", "destinationType": "landline", "dialed": "string", "duration": 0, "hangupNature": "string", "planType": "outplan", "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "wayType": "incoming"}